<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Multiple Cardboard Boxes Animation</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            overflow: hidden; /* Prevent scrolling */
        }

        .barcode-container {
            position: absolute;
            width: 200px; /* Adjust as needed */
            height: 150px; /* Adjust as needed */
            background-color: #d2b48c; /* Simulating a cardboard color */
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden; /* Hide the overflow to ensure barcode doesn't show outside the container */
        }

        .barcode, .external-image {
            width: 180px; /* Default barcode size */
            height: 100px; /* Default barcode size */
            object-fit: contain; 
        }

        .half-size {
            width: 90px; /* Half width for specific barcodes */
            height: 50px; /* Half height for specific barcodes */
        }

        #speed-control {
            position: fixed;
            top: 20px;
            left: 0; /* Updated to align with the left edge */
            transform: translateX(0); /* Updated for left alignment */
            text-align: left; /* Align text to the left */
        }
    </style>
</head>
<body>
    <div id="speed-control">
        <label for="speed">Move speed (m/min):</label>
        <input type="range" id="speed" min="1" max="120" value="60" />
        <span id="speed-value">60</span> m/min
    </div>

    <!-- Create 5 barcode containers and 1 external image container -->
    <div class="barcode-container" style="left: 30%; top: -150px;"><img class="barcode" src="" /></div>
    <div class="barcode-container" style="left: 50%; top: -300px;"><img class="barcode" src="" /></div>
    <div class="barcode-container" style="left: 30%; top: -450px;"><img class="barcode" src="" /></div>
    <div class="barcode-container" style="left: 50%; top: -600px;"><img class="barcode" src="" /></div>

    <div class="barcode-container" style="left: 50%; top: -900px;"><img class="external-image" src="zebra.jpg" /></div>

    <script src="https://cdn.jsdelivr.net/npm/jsbarcode@3.11.5/dist/JsBarcode.all.min.js"></script>
    <script>
        document.oncontextmenu = function () {return false;}
        const barcodeContainers = document.querySelectorAll('.barcode-container');
        let speed = document.getElementById('speed').value;

        document.getElementById('speed').oninput = function() {
            speed = this.value;
            document.getElementById('speed-value').textContent = speed;
        };

        barcodeContainers.forEach((container, index) => {
            const barcode = container.querySelector('.barcode');
            if (barcode) {
                JsBarcode(barcode, "Zebra" + index, {
                    format: "CODE128",
                    lineColor: "#000",
                    width: index === 2 || index === 4 ? 1 : 2,
                    height: index === 2 || index === 4 ? 50 : 100,

                    displayValue: false
                });
            }
        });

        function animateContainers() {
            barcodeContainers.forEach((container) => {
                let currentTop = parseFloat(container.style.top);
                const speedPxPerFrame = (speed / 60) * (100 / 60) * 6;

                let newTop = currentTop + speedPxPerFrame;
                if (newTop > window.innerHeight) {
                    newTop = -150;
                }

                container.style.top = `${newTop}px`;
            });

            requestAnimationFrame(animateContainers);
        }

        animateContainers();
    </script>
</body>
</html>
